# Uses of Class
org.mariadb.jdbc.plugin.Credential

Packages that use Credential
Package
Description
org.mariadb.jdbc.plugin
org.mariadb.jdbc.plugin.authentication.standard
org.mariadb.jdbc.plugin.credential.aws
org.mariadb.jdbc.plugin.credential.env
org.mariadb.jdbc.plugin.credential.system

## Uses of Credential in org.mariadb.jdbc.plugin

Subinterfaces with type arguments of type Credential in org.mariadb.jdbc.plugin
Modifier and Type
Interface
Description
`interface`
`CredentialPlugin`
Credential plugin definition, to permit providing Credential to server
Methods in org.mariadb.jdbc.plugin with parameters of type Credential
Modifier and Type
Method
Description
`default byte[]`
AuthenticationPlugin.`hash(Credential credential)`
Return Hash

## Uses of Credential in org.mariadb.jdbc.plugin.authentication.standard

Methods in org.mariadb.jdbc.plugin.authentication.standard with parameters of type Credential
Modifier and Type
Method
Description
`byte[]`
Ed25519PasswordPlugin.`hash(Credential credential)`
Return Hash
`byte[]`
NativePasswordPlugin.`hash(Credential credential)`
Return Hash
`byte[]`
ParsecPasswordPlugin.`hash(Credential credential)`
Return Hash

## Uses of Credential in org.mariadb.jdbc.plugin.credential.aws

Methods in org.mariadb.jdbc.plugin.credential.aws that return Credential
Modifier and Type
Method
Description
`Credential`
AwsIamCredentialPlugin.`get()`
`Credential`
AwsCredentialGenerator.`getToken()`
Generate authentication token

## Uses of Credential in org.mariadb.jdbc.plugin.credential.env

Methods in org.mariadb.jdbc.plugin.credential.env that return Credential
Modifier and Type
Method
Description
`Credential`
EnvCredentialPlugin.`get()`

## Uses of Credential in org.mariadb.jdbc.plugin.credential.system

Methods in org.mariadb.jdbc.plugin.credential.system that return Credential
Modifier and Type
Method
Description
`Credential`
PropertiesCredentialPlugin.`get()`